# chromecast-mux

## 4.16.7

### Patch Changes

- Updated dependencies [eb2ebfa]
  - mux-embed@5.9.0

## 4.16.6

### Patch Changes

- Updated dependencies [8fa7827]
  - mux-embed@5.8.3

## 4.16.5

### Patch Changes

- Updated dependencies [38eeefe]
  - mux-embed@5.8.2

## 4.16.4

### Patch Changes

- Updated dependencies [cef9e40]
  - mux-embed@5.8.1

## 4.16.3

### Patch Changes

- Updated dependencies [049be75]
  - mux-embed@5.8.0

## 4.16.2

### Patch Changes

- Updated dependencies [41b0915]
  - mux-embed@5.7.0

## 4.16.1

### Patch Changes

- Updated dependencies [9cd7dbf]
  - mux-embed@5.6.0

## 4.16.0

### Minor Changes

- 18af18e: Update mechanism for generating unique IDs, used for `view_id` and others

### Patch Changes

- Updated dependencies [18af18e]
- Updated dependencies [157f957]
  - mux-embed@5.5.0

## 4.15.3

### Patch Changes

- 2d96231: [chore] internal build process fix (no functional changes)
- Updated dependencies [2d96231]
  - mux-embed@5.4.3

## 4.15.2

### Patch Changes

- Updated dependencies [e5f3e65]
- Updated dependencies [fecba0b]
- Updated dependencies [40f531d]
  - mux-embed@5.4.2

## 4.15.1

### Patch Changes

- Updated dependencies [1aa5968]
- Updated dependencies [723e2e3]
  - mux-embed@5.4.1

## 4.15.0

### Minor Changes

- 67e297d: Add updateData function that allows Mux Data metadata to be updated mid-view.

### Patch Changes

- Updated dependencies [67e297d]
  - mux-embed@5.4.0

## 4.14.6

### Patch Changes

- Updated dependencies [7c77ea4]
  - mux-embed@5.3.3

## 4.14.5

### Patch Changes

- Updated dependencies [d5e737e]
  - mux-embed@5.3.2

## 4.14.4

### Patch Changes

- Updated dependencies [2f2f885]
  - mux-embed@5.3.1

## 4.14.3

### Patch Changes

- Updated dependencies [08adb81]
  - mux-embed@5.3.0

## 4.14.2

### Patch Changes

- Updated dependencies [8a33cb0]
  - mux-embed@5.2.1

## 4.14.1

### Patch Changes

- Updated dependencies [6fc018a]
- Updated dependencies [5707014]
  - mux-embed@5.2.0

## 4.14.0

### Minor Changes

- 95fd304: Target ES5 for bundles and validate bundles are ES5

### Patch Changes

- Updated dependencies [117d668]
- Updated dependencies [95fd304]
  - mux-embed@5.1.0

## 4.13.0

### Minor Changes

- 70b87d4: TypeScript type changes only.

### Patch Changes

- Updated dependencies [70b87d4]
  - mux-embed@5.0.0

## 4.12.4

### Patch Changes

- Updated dependencies [e3c4f1e]
- Updated dependencies [ad1f41a]
  - mux-embed@4.30.0

## 4.12.3

### Patch Changes

- Updated dependencies [2d9f466]
  - mux-embed@4.29.0

## 4.12.2

### Patch Changes

- Updated dependencies [dabca78]
  - mux-embed@4.28.1

## 4.12.1

### Patch Changes

- Updated dependencies [7317411]
  - mux-embed@4.28.0

## 4.12.0

### Minor Changes

- b295a7f: fix an issue where seek latency could be unexpectedly large
- b295a7f: fix an issue where seek latency does not include time at end of a view

### Patch Changes

- Updated dependencies [6d868a0]
- Updated dependencies [32f78cb]
- Updated dependencies [b295a7f]
- Updated dependencies [903f8a8]
  - mux-embed@4.27.0

## 4.11.5

### Patch Changes

- Updated dependencies [15f2461]
  - mux-embed@4.26.0

## 4.11.4

### Patch Changes

- Updated dependencies [2cd1d81]
  - mux-embed@4.25.1

## 4.11.3

### Patch Changes

- 221ba6d: [advanced-use] Add option to turn off automatic ad tracking for Chromecast applications

## 4.11.2

### Patch Changes

- Updated dependencies [3bdf5e8]
  - mux-embed@4.25.0

## 4.11.1

### Patch Changes

- 396d822: Fix an issue where certain ad providers may result in javascript errors

## 4.11.0

### Minor Changes

- a8e725e: Fix an issue where beacons over a certain size could get hung and not be sent

### Patch Changes

- Updated dependencies [a8e725e]
  - mux-embed@4.24.0

## 4.10.0

### Minor Changes

- 60634da: Fix an issue where tracking rebuffering can get into an infinite loop

### Patch Changes

- Updated dependencies [4af958d]
- Updated dependencies [60634da]
- Updated dependencies [df8b73a]
  - mux-embed@4.23.0

## 4.9.0

### Minor Changes

- 86ab14e: fix an issue where retrieving ad information on chromecast can throw an exception

### Patch Changes

- Updated dependencies [92ac6dc]
  - mux-embed@4.22.0

## 4.8.0

### Minor Changes

- 197eab8: Include Ad metadata in ad events

### Patch Changes

- Updated dependencies [197eab8]
  - mux-embed@4.21.0

## 4.7.0

### Minor Changes

- 2d83d6a: - Added capturing player dimensions with device pixel ratio considered
  - Added capturing dropped frames

### Patch Changes

- Updated dependencies [7243d2e]
  - mux-embed@4.20.0

## 4.6.2

### Patch Changes

- Updated dependencies [567814c]
  - mux-embed@4.19.0

## 4.6.1

### Patch Changes

- Updated dependencies [2e187c3]
- Updated dependencies [e91e64c]
- Updated dependencies [b37e888]
  - mux-embed@4.18.0

## 4.6.0

### Minor Changes

- 2312218: Support `player_error_context` in `errorTranslator`

### Patch Changes

- Updated dependencies [81ffe36]
  - mux-embed@4.17.0

## 4.5.0

### Minor Changes

- 842167e: Adds support for new and updated fields: `renditionchange`, error, DRM type, dropped frames, and new custom fields

### Patch Changes

- Updated dependencies [cb4813e]
- Updated dependencies [842167e]
- Updated dependencies [d802f30]
- Updated dependencies [73a23c2]
- Updated dependencies [4464398]
  - mux-embed@4.16.0

## 4.4.0

### Minor Changes

- b1b25a4: Expose `utils` on SDK initialization function to expose `utils.now()` for `player_init_time`

### Patch Changes

- Updated dependencies [87027e7]
- Updated dependencies [b1b25a4]
- Updated dependencies [dafa288]
- Updated dependencies [1dd4cc1]
  - mux-embed@4.15.0

## 4.3.5

### Patch Changes

- Updated dependencies [99ab50c]
  - mux-embed@4.14.0

## 4.3.4

### Patch Changes

- Updated dependencies [faefb2e]
  - mux-embed@4.13.4

## 4.3.3

### Patch Changes

- Updated dependencies [3b44caa]
  - mux-embed@4.13.3

## 4.3.2

### Patch Changes

- Updated dependencies [b21e86a]
  - mux-embed@4.13.2

## 4.3.1

### Patch Changes

- df36c55: Fixes an issue with accessing the global object
- Updated dependencies [df36c55]
  - mux-embed@4.13.1

## 4.3.0

### Minor Changes

- 388e558: Upgraded internal webpack version

### Patch Changes

- c04f67c: Improve Chromecast rebuffering metrics
- Updated dependencies [4b78021]
- Updated dependencies [388e558]
- Updated dependencies [a534321]
  - mux-embed@4.13.0

## 4.2.15

### Patch Changes

- 512d757: Publish package to NPM

## 4.2.14

### Patch Changes

- Updated dependencies [aaf3b01]
  - mux-embed@4.12.1

## 4.2.13

### Patch Changes

- Updated dependencies [856b2df]
  - mux-embed@4.12.0

## 4.2.12

### Patch Changes

- Updated dependencies [b2499f4]
  - mux-embed@4.11.0

## 4.2.11

### Patch Changes

- 4cbadea: Listen for Chromecast BITRATE_CHANGED event, update the video source width and height, then call Mux `renditionchange` with the new bitrate

## 4.2.10

### Patch Changes

- Updated dependencies [a59a3ee]
- Updated dependencies [a59a3ee]
  - mux-embed@4.10.0

## 4.2.9

### Patch Changes

- Updated dependencies [91c4794]
  - mux-embed@4.9.4

## 4.2.8

### Patch Changes

- ecf1447: Use common function for generating short IDs
- Updated dependencies [139c6a2]
- Updated dependencies [ecf1447]
  - mux-embed@4.9.3

## 4.2.7

### Patch Changes

- Updated dependencies [0323215]
  - mux-embed@4.9.2

## 4.2.6

### Patch Changes

- Updated dependencies [e4b3b16]
  - mux-embed@4.9.1

## 4.2.5

### Patch Changes

- Updated dependencies [28af90d]
- Updated dependencies [6fc81db]
  - mux-embed@4.9.0

## 4.2.4

### Patch Changes

- Updated dependencies [2572844]
- Updated dependencies [5b57b38]
- Updated dependencies [6bd4336]
  - mux-embed@4.8.0

## 4.2.3

### Patch Changes

- Updated dependencies [d2c2670]
  - mux-embed@4.7.0

## 4.2.2

### Patch Changes

- Updated dependencies [4f2187c]
  - mux-embed@4.6.2

## 4.2.1

### Patch Changes

- Updated dependencies [51476cc]
  - mux-embed@4.6.1

## 4.2.0

### Minor Changes

- ffaf7f5: Bump mux-embed to 4.6.0

## 4.1.1

- Fix an issue where `player.mux.destroy()` would raise an exception if called without any parameters.

## 4.1.0

- Update `mux-embed` to v4.2.0
- Fix an issue where views that resulted from `programchange` may not have been tracked correctly
- Fix an issue where if `destroy` was called multiple times, it would raise an exception

## 4.0.0

- Remove automatic video change tracking. You must now emit `videochange` events to signal a change. This should be done inside an interceptor for the `LOAD` event.
- Fix an issue where `ended` events were sent at the wrong time.
- Ensure that tracking is paused on the Chromecast `STOPPED` event.

## 3.1.0

- Update mux-embed to v4.1.1
- Add support for custom dimensions
- Fix an issue where `player_remote_played` was not functioning. This value defaults to `true` if not set

## 3.0.0

- Update mux-embed to v4.0.0
- Update device model appropriately for various Chromecast devices
- Support server-side device detection

## 2.0.1

- Bug fix: Ensure the `video_source_url` is detected

## 2.0.0

- Support ad event tracking
- Default `videochange` detection to false - this can still be enabled if required
- Clean up error tracking to report only fatal errors
- Minor optimisations and bug fixes

## 1.0.0

- Support customizing error handling (via configuring automaticErrorTracking and errorTranslator).
- Do not shut down on REQUEST_STOP.
- Expose `playerManager.mux.destroy()` to stop monitoring the player instance.
- Clean up better and minor bug fix around destroying monitor.

## 0.1.0

- Initial SDK created.
